## org.eclipse.emf.databinding.edit.internal
Class EMFEditListProperty

    java.lang.Object
      org.eclipse.core.databinding.property.list.ListProperty
          org.eclipse.core.databinding.property.list.SimpleListProperty
              org.eclipse.emf.databinding.internal.EMFListProperty
                  org.eclipse.emf.databinding.edit.internal.EMFEditListProperty

All Implemented Interfaces:
  org.eclipse.core.databinding.property.IProperty, org.eclipse.core.databinding.property.list.IListProperty

    public class EMFEditListProperty

extends EMFListProperty

PROVISIONAL: This API is subject to arbitrary change, including renaming or removal.

Since:
  2.5

Constructor Summary
`EMFEditListProperty(EditingDomain editingDomain, EStructuralFeature eStructuralFeature)`

Method Summary
`protected void` `doSetList(java.lang.Object source, java.util.List list, ListDiff diff)`

Methods inherited from class org.eclipse.emf.databinding.internal.EMFListProperty
`adaptListener, doGetList, getElementType, getFeature, toString`

Methods inherited from class org.eclipse.core.databinding.property.list.SimpleListProperty
`getList, observe, setList`

Methods inherited from class org.eclipse.core.databinding.property.list.ListProperty
`listFactory, listFactory, observe, observeDetail, values`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### EMFEditListProperty

    public EMFEditListProperty(EditingDomain editingDomain,
                               EStructuralFeature eStructuralFeature)

Parameters:
  `editingDomain` -
  `eStructuralFeature` -

Method Detail

### doSetList

    protected void doSetList(java.lang.Object source,
                             java.util.List list,
                             ListDiff diff)

  Overrides:
    `doSetList` in class `EMFListProperty`

Copyright 2001-2006 IBM Corporation and others. All Rights Reserved.